DataflowProfileResource oluşturma
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/dataflowProfiles/{dataflowProfileName}?api-version=2026-07-01
URI Parametreleri
| Name |
İçinde |
Gerekli |
Tür |
Description |
|
dataflowProfileName
|
path |
True
|
string
minLength: 3 maxLength: 63 pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
|
Örnek veri akışıProfil kaynağının adı
|
|
instanceName
|
path |
True
|
string
minLength: 3 maxLength: 63 pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
|
Örneğin adı.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Bu işlem için kullanılacak API sürümü.
|
İstek Gövdesi
Yanıtlar
| Name |
Tür |
Description |
|
200 OK
|
DataflowProfileResource
|
Kaynak 'DataflowProfileResource' güncelleştirme işlemi başarılı oldu
|
|
201 Created
|
DataflowProfileResource
|
Kaynak 'DataflowProfileResource' oluşturma işlemi başarılı oldu
Üst Bilgiler
- Azure-AsyncOperation: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Beklenmeyen bir hata yanıtı.
|
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name |
Description |
|
user_impersonation
|
kullanıcı hesabınızı taklit etme
|
Örnekler
DataflowProfile_CreateOrUpdate
Örnek isteği
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123?api-version=2026-07-01
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.DiagnosticsLogs;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
import com.azure.resourcemanager.iotoperations.models.Metrics;
import com.azure.resourcemanager.iotoperations.models.ProfileDiagnostics;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdate(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("resource-name123")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withDiagnostics(
new ProfileDiagnostics().withLogs(new DiagnosticsLogs().withLevel("rnmwokumdmebpmfxxxzvvjfdywotav"))
.withMetrics(new Metrics().withPrometheusPort(7581)))
.withInstanceCount(14))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="resource-name123",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {
"diagnostics": {
"logs": {"level": "rnmwokumdmebpmfxxxzvvjfdywotav"},
"metrics": {"prometheusPort": 7581},
},
"instanceCount": 14,
},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "resource-name123", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
Diagnostics: &armiotoperations.ProfileDiagnostics{
Logs: &armiotoperations.DiagnosticsLogs{
Level: to.Ptr("rnmwokumdmebpmfxxxzvvjfdywotav"),
},
Metrics: &armiotoperations.Metrics{
PrometheusPort: to.Ptr[int32](7581),
},
},
InstanceCount: to.Ptr[int32](14),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// Diagnostics: &armiotoperations.ProfileDiagnostics{
// Logs: &armiotoperations.DiagnosticsLogs{
// Level: to.Ptr("rnmwokumdmebpmfxxxzvvjfdywotav"),
// },
// Metrics: &armiotoperations.Metrics{
// PrometheusPort: to.Ptr[int32](7581),
// },
// },
// InstanceCount: to.Ptr[int32](14),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
*/
async function dataflowProfileCreateOrUpdate() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"resource-name123",
{
properties: {
diagnostics: {
logs: { level: "rnmwokumdmebpmfxxxzvvjfdywotav" },
metrics: { prometheusPort: 7581 },
},
instanceCount: 14,
},
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
DataflowProfile_CreateOrUpdate_Minimal
Örnek isteği
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-07-01
{
"properties": {
"instanceCount": 1
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate_Minimal.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdateMinimal(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("aio-dataflowprofile")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withInstanceCount(1))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_minimal.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="aio-dataflowprofile",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {"instanceCount": 1},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdateMinimal() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "aio-dataflowprofile", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
InstanceCount: to.Ptr[int32](1),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// InstanceCount: to.Ptr[int32](1),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
*/
async function dataflowProfileCreateOrUpdateMinimal() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"aio-dataflowprofile",
{
properties: { instanceCount: 1 },
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"properties": {
"instanceCount": 1,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"instanceCount": 1,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
DataflowProfile_CreateOrUpdate_Multi
Örnek isteği
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-07-01
{
"properties": {
"instanceCount": 3
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate_Multi.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdateMulti(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("aio-dataflowprofile")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withInstanceCount(3))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_multi.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="aio-dataflowprofile",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {"instanceCount": 3},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdateMulti() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "aio-dataflowprofile", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
InstanceCount: to.Ptr[int32](3),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// InstanceCount: to.Ptr[int32](3),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
*/
async function dataflowProfileCreateOrUpdateMulti() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"aio-dataflowprofile",
{
properties: { instanceCount: 3 },
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"properties": {
"instanceCount": 3,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"instanceCount": 3,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Tanımlar
createdByType
Numaralandırma
Kaynağı oluşturan kimliğin türü.
| Değer |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DataflowProfileProperties
Nesne
DataflowProfile Kaynak özellikleri
| Name |
Tür |
Default value |
Description |
|
diagnostics
|
ProfileDiagnostics
|
|
Belirtim, NBC tanılama ayarlarının istenen kimliklerini tanımlar.
|
|
healthState
|
ResourceHealthState
|
Unknown
|
Kaynağın sistem durumu.
|
|
instanceCount
|
integer
(int32)
minimum: 1 maximum: 20
|
1
|
Veri akışı profilini el ile ölçeklendirmek için çalıştırmak istediğiniz en fazla örnek sayısını belirtin.
|
|
provisioningState
|
ProvisioningState
|
|
Son işlemin durumu.
|
|
status
|
DataflowProfileStatus
|
|
Veri akışı profilinin durumu.
|
DataflowProfileResource
Nesne
Örnek veri akışıProfil kaynağı
| Name |
Tür |
Description |
|
extendedLocation
|
ExtendedLocation
|
Kaynağın kenar konumu.
|
|
id
|
string
(arm-id)
|
Kaynağın tam nitelikli kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Kaynağın adı
|
|
properties
|
DataflowProfileProperties
|
Bu kaynağın kaynağa özgü özellikleri.
|
|
systemData
|
systemData
|
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.
|
|
type
|
string
|
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"
|
DataflowProfileStatus
Nesne
DataflowProfile durumu.
DiagnosticsLogs
Nesne
Tanılama Günlüğü özellikleri
| Name |
Tür |
Default value |
Description |
|
level
|
string
|
info
|
Log seviyesi. Örnekler : 'debug', 'info', 'warn', 'error', 'trace'.
|
ErrorAdditionalInfo
Nesne
Kaynak yönetimi hatasına ilişkin ek bilgiler.
| Name |
Tür |
Description |
|
info
|
object
|
Ek bilgiler.
|
|
type
|
string
|
Ek bilgi türü.
|
ErrorDetail
Nesne
Hata ayrıntısı.
| Name |
Tür |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Hata ek bilgisi.
|
|
code
|
string
|
Hata kodu.
|
|
details
|
ErrorDetail[]
|
Hata ayrıntıları.
|
|
message
|
string
|
Hata iletisi.
|
|
target
|
string
|
Hata hedefi
|
ErrorResponse
Nesne
Hata yanıtı
ExtendedLocation
Nesne
Genişletilmiş konum, Azure konumlarının bir uzantısıdır. Azure ARC özellikli Kubernetes kümelerini Azure hizmet örneklerini dağıtmak için hedef konumlar olarak kullanmak için bir yol sağlar.
| Name |
Tür |
Description |
|
name
|
string
|
Genişletilmiş konumun adı.
|
|
type
|
ExtendedLocationType
|
ExtendedLocation türü.
|
ExtendedLocationType
Numaralandırma
ExtendedLocation türünü tanımlayan sabit listesi kabul edildi.
| Değer |
Description |
|
CustomLocation
|
CustomLocation türü
|
Metrics
Nesne
Tanılama Ölçümleri özellikleri
| Name |
Tür |
Default value |
Description |
|
prometheusPort
|
integer
(int32)
minimum: 0 maximum: 65535
|
9600
|
Ölçümleri kullanıma sunan prometheus bağlantı noktası.
|
ProfileDiagnostics
Nesne
DataflowProfile Tanılama özellikleri
| Name |
Tür |
Description |
|
logs
|
DiagnosticsLogs
|
Kaynak için tanılama günlüğü ayarları.
|
|
metrics
|
Metrics
|
Kaynağın ölçüm ayarları.
|
ProvisioningState
Numaralandırma
Kaynağın durumunu tanımlayan sabit listesi.
| Değer |
Description |
|
Succeeded
|
Kaynak oluşturuldu.
|
|
Failed
|
Kaynak oluşturma başarısız oldu.
|
|
Canceled
|
Kaynak oluşturma işlemi iptal edildi.
|
|
Provisioning
|
Kaynak sağlanıyor.
|
|
Updating
|
Kaynak Güncelleniyor.
|
|
Deleting
|
Kaynak Siliniyor.
|
|
Accepted
|
Kaynak Kabul Edildi.
|
ResourceHealthState
Numaralandırma
Kaynağın sistem durumu.
| Değer |
Description |
|
Available
|
Kaynak Kullanılabilir ve beklendiği gibi çalışıyor.
|
|
Degraded
|
Kaynak sağlığı bozulur.
|
|
Unavailable
|
Kaynak beklendiği gibi çalışmıyor.
|
|
Unknown
|
Kaynak durumu bilinmiyor.
|
ResourceHealthStatus
Nesne
Bir kaynağın sağlık durumunu temsil eder.
| Name |
Tür |
Description |
|
lastTransitionTime
|
string
|
Sağlık durumunun en son değiştiği zaman damgası (RFC3339).
|
|
lastUpdateTime
|
string
|
Sağlık durumu en son güncellendiği zaman damgası (RFC3339), durum değişmese bile.
|
|
message
|
string
|
Son geçişi anlatan insan tarafından okunabilir bir mesaj.
|
|
reasonCode
|
string
|
Son sağlık durumu geçişinin nedenini açıklayan benzersiz, CamelCase sebep kodu.
|
|
status
|
ResourceHealthState
|
Kaynağın yüksek düzey sağlık durumu.
|
systemData
Nesne
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name |
Tür |
Description |
|
createdAt
|
string
(date-time)
|
Kaynak oluşturmanın zaman damgası (UTC).
|
|
createdBy
|
string
|
Kaynağı oluşturan kimlik.
|
|
createdByType
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
lastModifiedAt
|
string
(date-time)
|
Kaynağın son değişikliğinin zaman damgası (UTC)
|
|
lastModifiedBy
|
string
|
Kaynağı en son değiştiren kimlik.
|
|
lastModifiedByType
|
createdByType
|
Kaynağı en son değiştiren kimlik türü.
|